<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 3;
$toolId = \ToolsAPI::TOOL_DOZ_WUNSCHTERMINE;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);
$settingsArray = array();

$subGroup = \ToolsAPI::getMenuTitle($toolId);

$setting = new Setting();
$setting->name = 'emailAnEinrichtungErstellt';
$setting->description = 'E-Mail an Einrichtung senden, wenn ein Wunschtermin erstellt wurde';
$setting->subGroup = 'E-Mail-Benachrichtigungen versenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'emailAnEinrichtungErstelltAdresse';
$setting->description = 'Ziel für E-Mail an die Einrichtung';
$setting->subGroup = 'E-Mail-Benachrichtigungen versenden';
$setting->help = 'Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, die unter "Allgemein / Schulungseinrichtung / Ziel'
                . ' für E-Mails aus den KuferTools an die Schulungseinrichtung" angegeben ist.';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);